=== debian/changelog ===
bpfcc (0.12.0-2) unstable; urgency=medium

  [ Frédéric Bonnard ]
  * [17d0441] Import upstream patch : fix test_map_in_map.cc compilation error

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 07 Feb 2020 19:01:42 +0530

bpfcc (0.12.0-1) unstable; urgency=medium

  * [250799a] New upstream version 0.12.0
  * [281b66f] Add example import commands into d/README.source
  * [184d93c] Fix installation of some tools in standard path

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 29 Jan 2020 21:25:30 +0530

bpfcc (0.11.0-1) unstable; urgency=medium

  * [52cfb06] New upstream version 0.11.0 (Closes: #941753)
  * [a7af29e] Multiple sources are used to build bpfcc
  * [4d67dd6] Update d/copyright reflecting about new sources
  * [040e9cc] Drop python2 support
  * [5f5de07] Instruct dh_python3 to explicitly set shebang
  * [fc28e57] Bump debhelper compatibility to 12
  * [cb25f1d] Add Rules-Requires-Root stanza in d/control
  * [b266b16] Use canonical URI
  * [83e6674] Bump Standards Version to 4.4.1
  * [c471de9] Ship libs for libbcc_bpf.so
  * [e3195c0] Add details about license
  * [d144eba] Use DEB_BUILD_MAINT_OPTIONS to skip tests

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 13 Oct 2019 19:49:12 +0530
