=== debian/changelog ===
bpfcc (0.17.0-7~bpo10+2) buster-backports; urgency=medium

  * [7c6262a] Update symbols file for arm64, armhf, ppc64el and s390x

 -- Vasudev Kamath <vasudev@debian.org>  Wed, 18 Nov 2020 07:50:17 +0530

bpfcc (0.17.0-7~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [b5d0828] Update symbols file for buster-backports

 -- Vasudev Kamath <vasudev@debian.org>  Tue, 17 Nov 2020 11:00:07 +0530

bpfcc (0.17.0-7) unstable; urgency=medium

  * [f62f9e8] Really update armhf symbols, batchpatch did not consider
    all symbols

 -- Vasudev Kamath <vasudev@debian.org>  Wed, 11 Nov 2020 08:55:32 +0530

bpfcc (0.17.0-6) unstable; urgency=medium

  * [955a3d8] Update symbol file for armhf architecture

 -- Vasudev Kamath <vasudev@debian.org>  Tue, 10 Nov 2020 15:22:59 +0530

bpfcc (0.17.0-5) unstable; urgency=medium

  * Upload to unstable

 -- Vasudev Kamath <vasudev@debian.org>  Tue, 10 Nov 2020 12:55:27 +0530

bpfcc (0.17.0-4) experimental; urgency=medium

  * [baeaa5c] Update symbols file for armhf architecture.

 -- Vasudev Kamath <vasudev@debian.org>  Mon, 09 Nov 2020 12:10:20 +0530

bpfcc (0.17.0-3) experimental; urgency=medium

  * [5065456] Enable build on armhf and s390x these arch are supported
     by upstream

 -- Vasudev Kamath <vasudev@debian.org>  Mon, 09 Nov 2020 10:31:27 +0530

bpfcc (0.17.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Vasudev Kamath <vasudev@debian.org>  Sat, 07 Nov 2020 10:11:03 +0530

bpfcc (0.17.0-1) experimental; urgency=medium

  * [9406b6d] New upstream version 0.17.0
  * [e034148] Update copyright hints file.
  * [9695968] Introduce patch to fix path of netqtop.c in netqtop-bpfcc.
  * [9d6bc84] Update symbols file for 0.17.0 release in amd64
  * [07948f9] Move swapin example file to doc folder and remove exec
    permission.

 -- Vasudev Kamath <vasudev@debian.org>  Fri, 06 Nov 2020 13:15:45 +0530

bpfcc (0.16.0-3) unstable; urgency=medium

  * [b56af1b] Update symbols file for arm64.
    Thanks to Graham Inggs for the bug report. (Closes: #972416)

 -- Vasudev Kamath <vasudev@debian.org>  Wed, 28 Oct 2020 10:41:03 +0530

bpfcc (0.16.0-2~bpo10+2) buster-backports; urgency=medium

  * [50ecd1e] Update symbols file for arm64 and ppc64el

 -- Vasudev Kamath <vasudev@debian.org>  Sat, 17 Oct 2020 09:15:49 +0530

bpfcc (0.16.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [aaf464f] Update symbols file for buster-backports

 -- Vasudev Kamath <vasudev@debian.org>  Fri, 16 Oct 2020 13:34:03 +0530

bpfcc (0.16.0-2) unstable; urgency=medium

  * Upload to unstable.
  * [bb5fe10] Update symbols file for arm64, ppc64 and ppc64el

 -- Vasudev Kamath <vasudev@debian.org>  Fri, 04 Sep 2020 16:13:10 +0530

bpfcc (0.16.0-1) experimental; urgency=medium

  * [91d874e] New upstream version 0.16.0
  * [5b11f74] copyright-check: mine license from jpg and jpeg files
  * [87d34e2] Updated copyright_hints for 0.16.0
  * [4feea7e] Updated symbols file for 0.16.0 release.
  * [54b5c8f] Move deadlock.c to /usr/share/bpfcc-tools and patch deadlock-bpfcc
  * [f528e72] For now drop --no-parallel if something breaks will revert.

 -- Vasudev Kamath <vasudev@debian.org>  Fri, 04 Sep 2020 14:59:20 +0530

bpfcc (0.14.0-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [041b3b6] Update symbols file for buster-backports

 -- Vasudev Kamath <vasudev@debian.org>  Fri, 04 Sep 2020 10:06:28 +0530

bpfcc (0.14.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Vasudev Kamath <vasudev@debian.org>  Thu, 03 Sep 2020 16:41:13 +0530

bpfcc (0.14.0-2) experimental; urgency=medium

  * [717e7c2] Update symbols file for arm64, ppc64 and ppc64el architecture

 -- Vasudev Kamath <vasudev@debian.org>  Thu, 03 Sep 2020 10:32:31 +0530

bpfcc (0.14.0-1) experimental; urgency=medium

  [ Debian Janitor ]
  * [2c8337d] Add missing build dependency on dh addon.
  * [663d385] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * [89e8416] Update standards version to 4.5.0, no changes needed.

  [ Vasudev Kamath ]
  * [fc1a4b7] Add component = libbpf in debian/gbp.conf
  * [b9cd982] New upstream version 0.14.0
  * [faaab4e] Delete fix-ppc64.patch, it has been merged to upstream code.
  * [71e0883] Install the bpf introspection tool as part of bpfcc-tool
  * [a0239d1] Only install versioned libraries as part of libbpfcc
  * [708ca35] Install static libraries as part of libbpfcc-dev package.
  * [c7dc429] Rename libbpfcc to libbcc-bpf0 and libbpfcc-dev to libbcc-bpf-dev
  * [4991bf0] Add myself as the Uploader
  * [8b106fc] Generate symbols file using pkg-kde-symbols package
  * [f198242] Reformat the Build-Depends in control file
  * [ce63c32] Reformat the rules file and introduce hardening=+all
  * [f13fa19] Move BPF introspection too bps to bpfcc-introspection package
  * [62e313f] Install bpfcc-tools man page using manpages file
  * [e542371] Make sure all tools in bpfcc-tools has -bpfcc suffix
  * [93de5f4] Separate hardening from DEB_BUILD_MAINT_OPTIONS
  * [209ed76] Revert the package renaming of libbpfcc and libbpfcc-dev
  * [04406f4] Bump debhelper-compat to 13
  * [0f5c9fc] Add source of libbpf-tools/bin/bpftool to debian/missing-sources
  * [60722cc] Introduce copyright-check and copyright_hints file
  * [7da6b60] Update license of embedded libbpf
  * [781baf1] Add Copyright section for libbpf
  * [b0fca8a] Updated symbols file

  [ Ritesh Raj Sarraf ]
  * [01e615b] Refresh patch with gbp pq workflow
  * [cadf75d] Fix exception in trace-bpfcc.
    Thanks to Philipp Marek (Closes: #965188)

 -- Vasudev Kamath <vasudev@debian.org>  Tue, 18 Aug 2020 17:44:42 +0530

bpfcc (0.12.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Vasudev Kamath <vasudev@copyninja.info>  Mon, 27 Apr 2020 11:26:42 +0530
