=== debian/control ===
--- 
+++ 
@@ -1,38 +1,40 @@
 Source: bpfcc
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
+Uploaders: Vasudev Kamath <vasudev@debian.org>
 Section: misc
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: arping,
-	       bison,
-               clang-format,
-               cmake,
-               debhelper-compat (= 12),
-               dh-python,
-               dpkg-dev (>= 1.16.1~),
-               ethtool,
-               flex,
-               inetutils-ping | iputils-ping,
-               iperf,
-               libclang-dev,
-               libedit-dev,
-               libelf-dev,
-               libfl-dev,
-               libzip-dev,
-               llvm-dev,
-               libluajit-5.1-dev [amd64 armel armhf i386 mips mipsel powerpc],
-               luajit [amd64 armel armhf i386 mips mipsel powerpc],
-               python3-netaddr,
-               python3-pyroute2,
-               python3-distutils,
-               python3:any | python3-all:any | python3-dev:any | python3-all-dev:any
+ bison,
+ clang-format,
+ cmake,
+ debhelper-compat (= 13),
+ dh-python,
+ dpkg-dev (>= 1.16.1~),
+ pkg-kde-tools,
+ ethtool,
+ flex,
+ inetutils-ping | iputils-ping,
+ iperf,
+ libclang-dev,
+ libedit-dev,
+ libelf-dev,
+ libfl-dev,
+ libzip-dev,
+ llvm-dev,
+ libluajit-5.1-dev [amd64 armel armhf i386 mips mipsel powerpc],
+ luajit [amd64 armel armhf i386 mips mipsel powerpc],
+ python3-netaddr,
+ python3-pyroute2,
+ python3-distutils,
+ python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3
 Homepage: https://github.com/iovisor/bcc
 Vcs-Git: https://salsa.debian.org/debian/bpfcc.git
 Vcs-Browser: https://salsa.debian.org/debian/bpfcc
 Rules-Requires-Root: no
 
 Package: libbpfcc
-Architecture: amd64 arm64 ppc64el ppc64
+Architecture: amd64 arm64 ppc64el ppc64 s390x armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: shared library for BPF Compiler Collection (BCC)
  BPF Compiler Collection (BCC) is a toolkit for creating efficient
@@ -47,7 +49,8 @@
 Package: libbpfcc-dev
 Architecture: amd64 arm64 ppc64el ppc64
 Section: libdevel
-Depends: ${misc:Depends}, libbpfcc (>= ${binary:Version})
+Depends: ${misc:Depends},
+ libbpfcc (= ${binary:Version})
 Description: shared library for BPF Compiler Collection (BCC)
  BPF Compiler Collection (BCC) is a toolkit for creating efficient
  kernel tracing and manipulation programs
@@ -60,7 +63,9 @@
 Package: python3-bpfcc
 Architecture: all
 Section: python
-Depends: libbpfcc (>= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
+Depends: libbpfcc (>= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends}
 Description: Python 3 wrappers for BPF Compiler Collection (BCC)
  BPF Compiler Collection (BCC) is a toolkit for creating efficient
  kernel tracing and manipulation programs
@@ -85,9 +90,29 @@
  .
  This package provides the command-line tools and examples
 
+Package: bpfcc-introspection
+Architecture: amd64 arm64 ppc64el ppc64
+Depends: ${misc:Depends},
+ ${shlibs:Depends},
+ libbpfcc (= ${binary:Version})
+Description: tool to help introspect BPF programs
+ BPF Compiler Collection (BCC) is a toolkit for creating efficient
+ kernel tracing and manipulation programs
+ .
+ It makes use of extended BPF (Berkeley Package Filter) and provides tools
+ for BPF based Linux IO analysis, networking, monitoring and more
+ .
+ This package provides tools to introspect BPF programs. Currently following
+ programs are provided as part of this package.
+ .
+  - bps: Lists all BPF programs loaded into the kernel. `ps` for BPF programs
+ .
+
 Package: bpfcc-lua
 Architecture: amd64
-Depends: libbpfcc (>= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libbpfcc (>= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Standalone tool to run BCC tracers written in Lua
  BPF Compiler Collection (BCC) is a toolkit for creating efficient
  kernel tracing and manipulation programs
